summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-09-10 20:30:28 +0200
committer Willy Sudiarto Raharjo2015-09-10 20:30:28 +0200
commit0cd5a3b4113fbb8bfff3c283b2a412d90dd8ca27 (patch)
tree41ef46e6b80a467a40a8e69e6554a1404d2d0cf2 /audio
parentc7a72f2d002afdc92be088476d828e52f7bcb656 (diff)
downloadslackbuilds-0cd5a3b4113fbb8bfff3c283b2a412d90dd8ca27.tar.gz
audio/flacon: Added (Audio File Encoder).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/flacon/README21
-rw-r--r--audio/flacon/doinst.sh13
-rw-r--r--audio/flacon/flacon.SlackBuild98
-rw-r--r--audio/flacon/flacon.info10
-rw-r--r--audio/flacon/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/audio/flacon/README b/audio/flacon/README
new file mode 100644
index 0000000000..607e3863ef
--- /dev/null
+++ b/audio/flacon/README
@@ -0,0 +1,21 @@
+flacon (Audio File Encoder)
+
+Flacon extracts individual tracks from one big audio file containing the entire album
+of music and saves them as separate audio files.
+
+To do this, it uses information from the appropriate CUE file.
+Besides, Flacon makes it possible to conveniently revise or specify tags both for all
+tracks at once or for each tag separately.
+
+Features:
+
+ * Supported input formats: WAV, FLAC, APE, WavPack, True Audio (TTA).
+ * Supported out formats: FLAC, WAV, WavPack, AAC, OGG or MP3.
+ * Replay Gain analysis (album-gain and track-gain modes).
+ * Multi-threaded conversion process.
+ * Automatic character set detection for CUE files.
+ * Generation of the pertrack CUE file in the output dir.
+
+Optional dependencie: qt5
+
+ * For build this package with Qt5, please add " -DUSE_QT5=Yes " on cmake options in SlackBuild file.
diff --git a/audio/flacon/doinst.sh b/audio/flacon/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/audio/flacon/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/flacon/flacon.SlackBuild b/audio/flacon/flacon.SlackBuild
new file mode 100644
index 0000000000..4f5aa720a6
--- /dev/null
+++ b/audio/flacon/flacon.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+#
+# Slackware build script for flacon.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flacon
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCVER="v1.2.0"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCVER.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ .
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/flacon/flacon.info b/audio/flacon/flacon.info
new file mode 100644
index 0000000000..a4941d9fd5
--- /dev/null
+++ b/audio/flacon/flacon.info
@@ -0,0 +1,10 @@
+PRGNAM="flacon"
+VERSION="1.2.0"
+HOMEPAGE="https://flacon.github.io/"
+DOWNLOAD="https://github.com/flacon/flacon/archive/v1.2.0.tar.gz"
+MD5SUM="fc4219fdad2a714f72c6bccf71a5dc54"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libuchardet"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/audio/flacon/slack-desc b/audio/flacon/slack-desc
new file mode 100644
index 0000000000..c12f176dd7
--- /dev/null
+++ b/audio/flacon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+flacon: flacon (Audio File Encoder)
+flacon:
+flacon: Flacon extracts individual tracks from one big audio file containing
+flacon: the entire album of music and saves them as separate audio files.
+flacon:
+flacon: Home page: https://flacon.github.io/
+flacon:
+flacon:
+flacon:
+flacon:
+flacon: